/* eslint-disable */
import React from "react";
import WelcomeCookie from "./WelcomeCookie";
import DetailCookie from "./DetailCookie";
import WelcomeControls from "./WelcomeControls";
import DetailControls from "./DetailControls";

const CookieWrapper = (props) => {
  return (
    <div className="cookie__wrapper">
      <svg className='cookie__img' width="80" height="81" viewBox="0 0 80 81" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M60.0931 3.58501C61.0745 3.58501 61.8701 2.78248 61.8701 1.7925C61.8701 0.802531 61.0745 0 60.0931 0C59.1117 0 58.3162 0.802531 58.3162 1.7925C58.3162 2.78248 59.1117 3.58501 60.0931 3.58501Z" fill="#3F3D56"/>
        <path d="M60.0931 17.7621C61.0745 17.7621 61.8701 16.9596 61.8701 15.9696C61.8701 14.9796 61.0745 14.1771 60.0931 14.1771C59.1117 14.1771 58.3162 14.9796 58.3162 15.9696C58.3162 16.9596 59.1117 17.7621 60.0931 17.7621Z" fill="#3F3D56"/>
        <path d="M77.8626 21.3471C78.844 21.3471 79.6395 20.5446 79.6395 19.5546C79.6395 18.5646 78.844 17.7621 77.8626 17.7621C76.8812 17.7621 76.0856 18.5646 76.0856 19.5546C76.0856 20.5446 76.8812 21.3471 77.8626 21.3471Z" fill="#3F3D56"/>
        <path d="M74.9413 27.4019C74.1992 26.1672 71.6072 26.1991 71.6072 26.1991C69.2473 29.7362 63.5745 25.9789 63.5745 25.9789C59.3612 27.8804 56.7904 21.8208 56.7904 21.8208C51.1211 20.9657 51.9969 14.9594 51.9969 14.9594C49.1764 14.3881 49.9678 9.24386 49.9678 9.24386C49.9678 9.24386 51.5329 7.94897 50.7627 7.0017C50.273 6.39948 50.2427 4.67112 50.2854 3.49123C46.6047 2.36206 42.7784 1.78959 38.9313 1.79249C17.4301 1.79249 0 19.3753 0 41.0647C0 62.7542 17.4301 80.3369 38.9313 80.3369C60.4324 80.3369 77.8626 62.7542 77.8626 41.0647C77.8672 36.3527 77.0293 31.6785 75.389 27.2666C75.1892 27.4941 75.0343 27.5566 74.9413 27.4019Z" fill="#3F3D56"/>
        <path opacity="0.1" d="M74.9413 27.4019C74.1992 26.1672 71.6072 26.1991 71.6072 26.1991C69.2473 29.7362 63.5745 25.9789 63.5745 25.9789C59.3612 27.8804 56.7904 21.8208 56.7904 21.8208C51.1211 20.9657 51.9969 14.9594 51.9969 14.9594C49.1764 14.3881 49.9678 9.24386 49.9678 9.24386C49.9678 9.24386 51.5329 7.94897 50.7627 7.0017C50.273 6.39948 50.2427 4.67112 50.2854 3.49123C46.6047 2.36206 42.7784 1.78959 38.9313 1.79249C17.4301 1.79249 0 19.3753 0 41.0647C0 62.7542 17.4301 80.3369 38.9313 80.3369C60.4324 80.3369 77.8626 62.7542 77.8626 41.0647C77.8672 36.3527 77.0293 31.6785 75.389 27.2666C75.1892 27.4941 75.0343 27.5566 74.9413 27.4019Z" fill="black"/>
        <path d="M72.6341 27.2468C71.9284 26.0726 69.4632 26.1029 69.4632 26.1029C67.2188 29.4668 61.8237 25.8935 61.8237 25.8935C57.8166 27.702 55.3717 21.939 55.3717 21.939C49.9799 21.1257 50.8129 15.4134 50.8129 15.4134C48.1304 14.8701 48.8831 9.97764 48.8831 9.97764C48.8831 9.97764 50.3716 8.74614 49.6391 7.84525C49.1734 7.2725 49.1445 5.62874 49.1852 4.50662C45.6846 3.43272 42.0456 2.88827 38.3868 2.89103C17.9382 2.89103 1.36127 19.6131 1.36127 40.2408C1.36127 60.8686 17.9382 77.5907 38.3868 77.5907C58.8355 77.5907 75.4124 60.8686 75.4124 40.2408C75.4168 35.7595 74.6199 31.3141 73.0599 27.1181C72.8699 27.3345 72.7225 27.3939 72.6341 27.2468Z" fill="#3F3D56"/>
        <path d="M33.9659 24.9709C33.9659 24.9709 27.581 20.8722 21.4864 24.9709C19.3532 26.4054 18.2867 28.4496 17.8014 30.501C16.9386 34.1484 17.8848 37.9937 20.1921 40.9337L33.9799 58.5023C34.4527 59.1144 35.0867 59.5798 35.8094 59.8455C36.5322 60.1112 37.3144 60.1663 38.0667 60.0046C38.0966 59.9979 38.1266 59.9908 38.1569 59.9835C38.7017 59.8483 39.2133 59.602 39.6602 59.2597C40.1071 58.9174 40.4797 58.4865 40.7552 57.9934L50.344 41.007C52.118 37.9136 52.8451 34.3216 52.4155 30.7743C51.9658 27.2809 50.3029 23.5985 45.5747 22.336C45.5747 22.336 40.0605 19.9939 33.9659 24.9709Z" fill="#FF0000"/>
        <path opacity="0.1" d="M33.9659 24.9709C33.9659 24.9709 27.581 20.8722 21.4864 24.9709C19.3532 26.4054 18.2867 28.4496 17.8014 30.501C16.9386 34.1484 17.8848 37.9936 20.1921 40.9337L33.9799 58.5023C34.4527 59.1144 35.0867 59.5798 35.8094 59.8455C36.5322 60.1112 37.3144 60.1663 38.0667 60.0046C38.0966 59.9979 38.1266 59.9908 38.1569 59.9835C38.7017 59.8483 39.2133 59.602 39.6602 59.2597C40.1071 58.9174 40.4797 58.4865 40.7552 57.9934L50.344 41.007C52.118 37.9136 52.8451 34.3216 52.4155 30.7743C51.9658 27.2809 50.3029 23.5985 45.5747 22.336C45.5747 22.336 40.0605 19.9939 33.9659 24.9709Z" fill="black"/>
        <path d="M34.0309 25.96C34.0309 25.96 28.0415 22.1152 22.3243 25.96C20.3233 27.3057 19.3228 29.2234 18.8675 31.1477C18.0581 34.5692 18.9458 38.1763 21.1102 40.9343L34.044 57.4148C34.4876 57.989 35.0823 58.4256 35.7603 58.6749C36.4382 58.9241 37.1721 58.9758 37.8778 58.8241C37.9058 58.8178 37.934 58.8112 37.9623 58.8043C38.4734 58.6775 38.9534 58.4464 39.3725 58.1253C39.7917 57.8042 40.1413 57.4 40.3997 56.9374L49.3947 41.003C51.0588 38.1012 51.7409 34.7317 51.3379 31.4041C50.9161 28.1271 49.3561 24.6727 44.9207 23.4884C44.9207 23.4884 39.7481 21.2913 34.0309 25.96Z" fill="#FF0000"/>
        <path opacity="0.1" d="M34.264 32.5527C34.264 32.5527 31.3499 30.6821 28.5684 32.5527C27.7047 33.1423 27.1017 34.0472 26.8866 35.0766C26.7004 35.9019 26.7018 36.7589 26.8907 37.5836C27.0797 38.4082 27.4513 39.1789 27.9777 39.838C27.9777 39.838 35.438 48.6995 36.1356 48.5419C36.1492 48.5389 36.1629 48.5356 36.1767 48.5323C36.6793 48.4106 41.7389 39.8715 41.7389 39.8715C42.5485 38.4597 42.8804 36.8203 42.6843 35.2013C42.4791 33.607 41.7201 31.9264 39.5622 31.3501C39.5622 31.3501 37.0455 30.2812 34.264 32.5527Z" fill="black"/>
        <path opacity="0.1" d="M16.0626 46.5573L16.8794 47.9305L18.5127 50.6768L19.0573 52.5992L17.9683 54.247L19.3295 57.5426L19.874 59.465L18.7851 60.5635L20.963 62.2113" fill="black"/>
        <path opacity="0.1" d="M56.0829 34.4735V36.6706L54.7216 40.2408L53.9048 42.1632L55.2662 44.6349L55.8107 46.2827L57.9886 47.1066L58.8053 48.4798V51.7753" fill="black"/>
        <path opacity="0.1" d="M69.9674 36.6706L67.7895 38.0438C67.7895 38.0438 66.7005 38.593 66.7005 38.8677V41.0647" fill="black"/>
        <path opacity="0.1" d="M60.1666 28.9809L60.711 31.7272L60.1666 33.6497" fill="black"/>
        <path opacity="0.1" d="M62.3445 53.6978L60.711 56.1694L58.8053 57.8172V58.9157L59.8942 60.2889V61.9367L59.0775 63.5845" fill="black"/>
        <path opacity="0.1" d="M46.8264 7.01047H44.104L41.926 8.93285L38.3868 10.8552L36.7533 12.2285V12.7778L33.2141 14.7002L32.1251 16.6225" fill="black"/>
        <path opacity="0.1" d="M17.4238 11.6792L14.9736 16.6226L14.1568 18.545L12.2511 21.0167C12.2511 21.0167 10.8899 23.4883 10.6176 23.763C10.3454 24.0376 8.43967 24.5869 8.43967 24.5869L11.1621 27.3332" fill="black"/>
        <path opacity="0.1" d="M6.53401 30.6287L5.98946 34.1989L6.53401 36.396V40.2408L4.90051 47.3812L6.53401 49.3036L8.4397 51.7753" fill="black"/>
        <path opacity="0.1" d="M10.6176 32.2765L12.2511 33.1004L13.34 36.6706L15.5181 36.1213L16.607 38.0438" fill="black"/>
        <path opacity="0.1" d="M40.5648 67.9786L44.9207 67.4293L46.8264 65.5069H49.5489" fill="black"/>
        <path opacity="0.1" d="M14.1568 62.2113L15.7903 64.1337L18.5127 64.9576L20.4186 65.5069L20.963 68.5277" fill="black"/>
        <path opacity="0.1" d="M46.2819 52.8739L48.1878 51.5007L49.0045 49.3036L50.638 49.029L51.4546 46.2827" fill="black"/>
      </svg>

      {props.isDetail ? <WelcomeCookie linkHandler={props.linkHandler}/> : <DetailCookie linkHandler={props.linkHandler} checkAll={props.checkAll} checkedStatus={props.checkedStatus}/>}

      <div className="cookie__controls">
        {props.isDetail ?
          <WelcomeControls
            controlHandler={props.controlHandler}
            showDetail={props.showDetail}/> :
          <DetailControls
            controlHandler={props.controlHandler}
            showDetail={props.showDetail}

          />
        }

      </div>
    </div>
  )
}

export default CookieWrapper;
